---
updatedAt: 2026-01-09T16:22:41.000Z
agentTools:
  siteIndex: https://docs.gusto.com/llms.txt
  projectIndex: https://docs.gusto.com/embedded-payroll/llms.txt
---

# Contractor forms

Form 1099-NEC is an Internal Revenue Service (IRS) form for businesses to report payments made to non-employees, such as independent contractors.

The contractor 1099 is a form that can be accessed or generated through the Forms API. Currently, the Forms API is only used for contractor 1099s.

## Generate 1099 forms (Demo)

Contractor 1099 Forms are generated at the end of the calendar year. To test these endpoints in Demo at anytime, use the [POST sandbox/generate\_1099](https://docs.gusto.com/embedded-payroll/reference/post-v1-sandbox-generate_1099) endpoint.

**Sample request**

```curl
curl --request POST \
     --url https://api.gusto-demo.com/v1/sandbox/generate_1099 \
     --header 'X-Gusto-API-Version: 2025-06-15' \
     --header 'accept: application/json' \
     --header 'authorization: Bearer {token}' \
     --header 'content-type: application/json' \
     --data '
{
  "contractor_id": "b68484a9-4487-4ee5-bafc-4245133a426c",
  "year": 2022
}
'
```

**Sample response**

```json
{
  "year": 2022,
  "quarter": null,
  "contractor_uuid": "b68484a9-4487-4ee5-bafc-4245133a426c",
  "uuid": "29afb141-2256-431d-90e0-1c7344222342",
  "name": "US_1099",
  "title": "Form 1099: 2022",
  "description": "Form 1099 records your annual income as a contractor.",
  "draft": false,
  "requires_signing": false
}
```

## Get a contractor's forms

Retrieve a contractor’s forms using the [GET /v1/contractors/\{contractor\_uuid}/forms](https://docs.gusto.com/embedded-payroll/reference/get-v1-contractor-forms) endpoint. This endpoint returns a list of documents, along with their attributes:

**Sample request**

```curl
curl --request GET \
     --url https://api.gusto-demo.com/v1/contractors/contractor_uuid/forms \
     --header 'X-Gusto-API-Version: 2025-06-15' \
     --header 'accept: application/json' \
     --header 'authorization: Bearer {token}'
```

**Sample response**

```json
[
  {
    "uuid": "48cdd5ec-a4dd-4840-a424-ad79f38d8408",
    "name": "US_1099",
    "title": "Form 1099: 2020",
    "description": "Form 1099 records your annual income as a contractor.",
    "draft": false,
    "requires_signing": false,
    "year": 2020,
    "quarter": null,
    "contractor_uuid": "123dd616-6dbc-4724-938a-403f6217a933"
  }
]
```

## Get a specific form

Get a specific document with the [GET /v1/contractors/\{\{contractor\_uuid}}/forms/\{form\_id}](https://docs.gusto.com/embedded-payroll/reference/get-v1-contractor-form)  endpoint.

**Sample response**

```json
{
  "uuid": "48cdd5ec-a4dd-4840-a424-ad79f38d8408",
  "name": "US_1099",
  "title": "Form 1099: 2020",
  "description": "Form 1099 records your annual income as a contractor.",
  "draft": false,
  "requires_signing": false,
  "year": 2020,
  "quarter": null,
  "contractor_uuid": "123dd616-6dbc-4724-938a-403f6217a933"
}
```

## Get the PDF for a specific form

Retrieve a document’s pdf with the [GET /v1/contractors/\{contractor\_uuid}/forms/\{form\_id}/pdf](https://docs.gusto.com/embedded-payroll/reference/get-v1-contractor-form-pdf) endpoint.

```json
{
  "uuid": "48cdd5ec-a4dd-4840-a424-ad79f38d8408",
  "document_url": "https://app.gusto-demo.com/assets/forms/7757842065202782/original/company_direct_deposit20211007-48226-gsqo8k.pdf?1633667020",
  "document_content_type": "application/pdf"
}
```